---
layout: mockup
title: "Software - Repositories"
theme: Adwaita/Adwaita.css
permalink: software/repositories/
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/nautilus.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped" title="Preferences">
		<!-- left button group -->
		<div class="button-group float-left">
			<!-- <a class="button image-button">{%- include symbolic/actions/list-add-symbolic.svg -%}</a> -->
			<a class="button text-button" onclick="$('#softwareAddRepoDialog').show();">Add</a>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">Software Repositories</span>
		</div>
		<!-- right button group -->
		<div class="button-group float-right">
			<a class="button image-button">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content has-toolbar">
		<div class="infobar info"><div class="icon s16">{%- include symbolic/status/changes-prevent-symbolic.svg -%}</div> <p>Administrator privileges are required to enable and disable or add and remove repositories.</p> <a class="button text-button float-right">Unlock</a></div>
		<div class="view">
			<!-- General -->
			<div class="row">
				<h5>Core Repositories</h5>
				<p class="dim-label">These repositories are provided by your operating system vendor and cannot be safely disabled or removed.</p>
				<ul class="listrow">
					<li class="dropdown" data-toggle="collapse" data-target="#softwareReposDropdown1" id="softwareReposOption1" onclick="$('#softwareReposOption1 svg').toggleClass('turn');">
						<label>Fedora 33</label>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareReposDropdown1" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://mirrors.fedoraproject.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
					<li class="dropdown" data-toggle="collapse" data-target="#softwareUpdateReposDropdown1" id="softwareUpdateReposOption1" onclick="$('#softwareUpdateReposOption1 svg').toggleClass('turn');">
						<label>Linux Vendor Firmware Service</label>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareUpdateReposDropdown1" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://cdn.fwupd.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
				</ul>
			</div>
			<!-- General -->
			<div class="row">
				<h4>Update Repositories</h4>
				<p class="dim-label">These repositories are provided by your operating system vendor to provide updates, including security and test updates.</p>
				<ul class="listrow">
					<li class="dropdown" data-toggle="collapse" data-target="#softwareReposDropdown2" id="softwareReposOption2" onclick="$('#softwareReposOption2 svg').toggleClass('turn');">
						<label>Fedora 33 (Updates)</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
						<div class="separator float-right"></div>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareReposDropdown2" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://mirrors.fedoraproject.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
					<li class="dropdown" data-toggle="collapse" data-target="#softwareReposDropdown3" id="softwareReposOption3" onclick="$('#softwareReposOption3 svg').toggleClass('turn');">
						<label>Fedora 33 (Test Updates)</label>
						{%- include components/switch.html float = "right" checked = "" -%}
						<div class="separator float-right"></div>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareReposDropdown3" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://mirrors.fedoraproject.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
					<li class="dropdown" data-toggle="collapse" data-target="#softwareUpdateReposDropdown2" id="softwareUpdateReposOption2" onclick="$('#softwareUpdateReposOption2 svg').toggleClass('turn');">
						<label>Linux Vendor Firmware Service (Testing)</label>
						{%- include components/switch.html float = "right" checked = "" -%}
						<div class="separator float-right"></div>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareUpdateReposDropdown2" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://cdn.fwupd.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
				</ul>
			</div>
			<!-- General -->
			<div class="row">
				<h5>Third-Party Repositories</h5>
				<p class="dim-label">Access additional software from selected third-party sources. Some of this software is proprietary and therefore has restrictions on use, sharing, and access to source code. <a>Find out more...</a></p>
				<p class="text-right"><a class="button destructive-action">Remove all...</a></p>
				<br><br>
				<ul class="listrow">
					<li class="dropdown" data-toggle="collapse" data-target="#softwareRepos3rdPartyDropdown3" id="softwareRepos3rdPartyOption3" onclick="$('#softwareRepos3rdPartyOption3 svg').toggleClass('turn');">
						<label>RPM Fusion for Fedora 33 - Free</label>
						{%- include components/switch.html float = "right" class = "insensitive" checked = "checked" onclick = "$('#softwareRepos3rdPartyDropdown1>ul').toggleClass('insensitive');" -%}
						<div class="separator float-right"></div>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareRepos3rdPartyDropdown3" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://mirrors.rpmfusion.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
					<li class="dropdown" data-toggle="collapse" data-target="#softwareRepos3rdPartyDropdown1" id="softwareRepos3rdPartyOption1" onclick="$('#softwareRepos3rdPartyOption1 svg').toggleClass('turn');">
						<label>RPM Fusion for Fedora 33 - Nonfree</label>
						{%- include components/switch.html float = "right" class = "insensitive" checked = "checked" onclick = "$('#softwareRepos3rdPartyDropdown1>ul').toggleClass('insensitive');" -%}
						<div class="separator float-right"></div>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareRepos3rdPartyDropdown1" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://mirrors.rpmfusion.org/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
					<li class="dropdown" data-toggle="collapse" data-target="#softwareRepos3rdPartyDropdown2" id="softwareRepos3rdPartyOption2" onclick="$('#softwareRepos3rdPartyOption2 svg').toggleClass('turn');">
						<label>google-chrome</label>
						{%- include components/switch.html float = "right" class = "insensitive" checked = "checked" onclick = "$('#softwareRepos3rdPartyDropdown2>ul').toggleClass('insensitive');" -%}
						<div class="separator float-right"></div>
						{%- include components/listrow-expander-icon.html -%}
					</li>
					<div id="softwareRepos3rdPartyDropdown2" class="collapse" aria-expanded="false">
						<ul class="listrow borderless">
							<li>
								<label>URL</label>
								<label class="float-right dim-label">https://dl.google.com/</label>
							</li>
							<li>
								<label>Architecture</label>
								<label class="float-right dim-label">x86_64</label>
							</li>
						</ul>
					</div>
				</ul>
			</div>
		</div>
	</div>
	<!-- Add Repository Dialog -->
	<div class="gtkdialog" id="softwareAddRepoDialog">
		<div class="gtkdialog-window mobile action-dialog">
			<div class="titlebar" title="Add Repository">
				<a class="button text-button float-left" onclick="$('#softwareAddRepoDialog').hide();">Cancel</a>
				<a class="button text-button float-right" onclick="$('#softwareAddRepoDialog').hide();">Add</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li onclick="$('#deviceNameDialog').show();">
							<label>URL</label>
							<input type="entry" name="" value="" class="float-right entry text-right">
						</li>
						<li id="wifiHotSpotPassword">
							<label>Enabled</label>
							{%- include components/switch.html float = "right" checked = "checked" -%}
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
</script>